Managed Backup for VMware
All operations require authentication.
List backup repositoriesProduction
Path parameters
Domain of the service
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ backupRepository \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a backup repositoryProduction
Get a backup repository. Returns the backup repository: name, replication zone, replication status and last successful replication date.
Path parameters
Repository Id
Domain of the service
Response
Replication last successful date
Replication status
disableddisablingenabledenablingerrormigratingunknownReplication zone
Repository Id
Repository Name
Replication sync status
okout-of-syncsync-requiredunknownExample uses repositoryId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ backupRepository/ {repositoryId} \
-H "authorization: Bearer $OVH_TOKEN"{ "lastSuccessfulReplicationDate": "2024-01-01T12:00:00Z", "replication": "disabled", "replicationZone": "string", "repositoryId": 0, "repositoryName": "string", "syncStatus": "ok"}
Get the backup optionProduction
Get the backup option. Returns the backup option of the datacenter: offer, state, schedule hour, encryption and report settings.
Path parameters
Id of the Datacenter
Domain of the service
Response
Duration on email report
Backup offer type
advancedbackupclassiclegacypremiumBackup size on day on email report
Disk size on mail report
Backup is encrypted
Full day on mail report
Name of the backup server virtual machine.
Unique additional email address for backup daily report
Backup replication zone
RestorePoint number on mail report
Schedule hour for start backup
This Backup current state
disableddisablingenabledenablingerrormigratingremovingThe moref of the backup server virtual machine
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup \
-H "authorization: Bearer $OVH_TOKEN"{ "backupDurationInReport": true, "backupOffer": "advanced", "backupSizeInReport": true, "diskSizeInReport": true, "encryption": true, "fullDayInReport": true, "hostname": "string", "mailAddress": "string", "replicationZone": "string", "restorePointInReport": true, "scheduleHour": "15:04:05", "state": "disabled", "vmwareVmId": "string"}
Restore the last backupsProduction
Restore the last backups. Restores each backup job, or a single virtual machine, from its last restore point. Find the repository and job names in the report sent by generateReport. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
The backup job name pcc-XXX-XXX-XXX-XXX_vm-XXX if you want to restore one single virtual machine. It can be retrieved in the report sent by generateReport
The backup files location name bkp-XXXXX, it can be retrieved in the report sent by generateReport
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ batchRestore \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Get backup proxy recommendationsProduction
Get backup proxy recommendations. Returns a recommendation to add or remove backup proxies, with the number of proxies deployed and impacted.
Path parameters
Id of the Datacenter
Domain of the service
Response
Brief information about recommendation
hasMoreBackupJobshasMoreProxieshasSufficientProxiesnoBackupJobsNumber of proxies deployed in the Datacenter
Number of proxies get impacted by recommendation
Action recommended for the optimization
addoptimizedremoveExample uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ canOptimizeProxies \
-H "authorization: Bearer $OVH_TOKEN"{ "message": "hasMoreBackupJobs", "numberOfProxiesDeployed": 0, "numberOfProxiesImpact": 0, "recommendation": "add"}
Update the backup optionProduction
Update the backup option. Changes the backup offer, the schedule hour (UTC) and the additional email address for the daily report. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
Deprecated - Duration on email report
Backup offer type
advancedbackupclassiclegacypremiumDeprecated - Backup size on day on email report
Deprecated - Disk size on mail report
Deprecated - Full day on mail report
Unique additional email address for backup daily report
Deprecated - RestorePoint number on mail report
Schedule hour for start backup. UTC Timezone
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ changeProperties \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable the backup optionProduction
Disable the backup option. Disables the backup option of the datacenter. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable the backup optionDeprecated
Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/cart/{cartId}/privateCloud instead.
Enable the backup option. Enables the backup option with the given offer. Deprecated: order the option with /order/cart/{cartId}/privateCloud instead.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
Backup offer type
advancedbackupclassiclegacypremiumResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Send a backup reportProduction
Send a backup report. Sends a report with all backup information by email. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ generateReport \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List backup offersProduction
List backup offers. Returns the features of each backup offer: retention, encryption, replication, backup days and report options.
Path parameters
Id of the Datacenter
Domain of the service
Response
Customized backup days
Customized Backup report
Indicates additional backup proxy for large disk size VM
Indicates if backup will be encrypted
Indicates if customer can add an additional email address for backup report
Minimum number of full backups
Name of offer type
Backup Proxy per host
Backup Replication enabled
Restore points
Scheduled hour of backup start customizable
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ offerCapabilities \
-H "authorization: Bearer $OVH_TOKEN"[ { "backupDays": true, "customReport": true, "dedicatedProxy": true, "encryption": true, "mailAddress": true, "minimumFullBackups": 0, "offerName": "string", "proxyPerHost": true, "replication": true, "retention": 0, "scheduleHour": true }]
Optimize backup proxiesProduction
Optimize backup proxies. Optimizes the number of backup proxies of the datacenter. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backup/ optimizeProxies \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List datacenter backup repositoriesDeprecated
Deprecated since Sep 30, 2022, will be removed on Jun 30, 2023 — use /dedicatedCloud/{serviceName}/backupRepository instead.
List datacenter backup repositories. Returns the IDs of the backup repositories of the datacenter. Deprecated: use /dedicatedCloud/{serviceName}/backupRepository instead.
Path parameters
Id of the Datacenter
Domain of the service
Response
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backupRepository \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a backup repositoryDeprecated
Deprecated since Sep 30, 2022, will be removed on Jun 30, 2023 — use /dedicatedCloud/{serviceName}/backupRepository/{repositoryId} instead.
Get a backup repository. Returns the backup repository: name, replication zone, replication status and last successful replication date.
Path parameters
Id of the Datacenter
Repository Id
Domain of the service
Response
Replication last successful date
Replication status
disableddisablingenabledenablingerrormigratingunknownReplication zone
Repository Id
Repository Name
Replication sync status
okout-of-syncsync-requiredunknownExample uses datacenterId = 0, repositoryId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ backupRepository/ {repositoryId} \
-H "authorization: Bearer $OVH_TOKEN"{ "lastSuccessfulReplicationDate": "2024-01-01T12:00:00Z", "replication": "disabled", "replicationZone": "string", "repositoryId": 0, "repositoryName": "string", "syncStatus": "ok"}
Check backup jobsProduction
Check backup jobs. Checks that the backup jobs of the datacenter are set correctly after virtual machines moved to another datacenter. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ checkBackupJobs \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Get a VM backup jobDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Get a VM backup job. Returns the backup job of the virtual machine: offer, backup days, retention and state. Deprecated: use the backup data of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Disk space allocated to the virtual machine
List of days your Virtual Machine will be backuped
FridayMondaySaturdaySundayThursdayTuesdayWednesdayBackup is encrypted
Offer type of the backup job
advancedbackupclassiclegacypremiumNumber of days before the backup is deleted
State of the backup job
deletingdelivereddisableddisablingenablingerrormigratingpendingremovedstoppingtoCreatetoDeletetoDisabletoEnabletoStopunknownName of the virtual Machine
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob \
-H "authorization: Bearer $OVH_TOKEN"{ "allocatedDisk": 0, "backupDays": [ "Friday" ], "encryption": true, "offerType": "advanced", "retentionTime": 0, "state": "deleting", "vmName": "string"}
Update a VM backup jobDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Update a VM backup job. Changes the backup days of the virtual machine. Deprecated: use the backup routes of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
List of days your Virtual Machine will be backuped
FridayMondaySaturdaySundayThursdayTuesdayWednesdayResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable a VM backup jobDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Disable a VM backup job. Stops the backups of the virtual machine. Deprecated: use the backup routes of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable a VM backup jobDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Enable a VM backup job. Starts backing up the virtual machine on the given days. Deprecated: use the backup routes of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
Backup offer type
FridayMondaySaturdaySundayThursdayTuesdayWednesdayResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
List VM restore pointsDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
List VM restore points. Returns the IDs of the restore points of the virtual machine. Deprecated: use the backup data of the virtual machine instead.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ restorePoints \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a VM restore pointDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Get a VM restore point. Returns the restore point: type, size, creation time and whether it is corrupted. Deprecated: use the backup data of the virtual machine instead.
Path parameters
Id of the Datacenter
Id of the restore point.
Domain of the service
Id of the virtual machine.
Response
Creation time of the restore point
Show if the restore point is corrupted
Id of the restore point.
Size of the restore point
Type of the restore point
fullincrementalExample uses datacenterId = 0, restorePointId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ restorePoints/ {restorePointId} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationTime": "string", "isCorrupted": true, "restorePointId": 0, "restorePointSize": { "unit": "string", "value": 0 }, "type": "full"}
Restore a VM restore pointDeprecated
Deprecated since Oct 2, 2017, will be removed on Dec 31, 2017 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/vm/{vmId} instead.
Restore a VM restore point. Restores the virtual machine from this restore point to the given datastore. Deprecated: use the backup routes of the virtual machine instead.
Path parameters
Id of the Datacenter
Id of the restore point.
Domain of the service
Id of the virtual machine.
Request body (required)
Id of the filer where we should restore this Backup.
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, restorePointId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ backupJob/ restorePoints/ {restorePointId}/ restore \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Disable VM backupProduction
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ disableBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Update VM backup daysProduction
Update VM backup days. Changes the days on which the virtual machine is backed up. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
List of days your Virtual Machine will be backuped
FridayMondaySaturdaySundayThursdayTuesdayWednesdayResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ editBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Enable VM backupProduction
Enable VM backup. Starts backing up the virtual machine on the given days. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
List of days your Virtual Machine will be backuped
FridayMondaySaturdaySundayThursdayTuesdayWednesdayResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ enableBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Restore a VM backupProduction
Restore a VM backup. Restores the virtual machine from a restore point to the given datastore, NAS by default or vSAN. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Id of the virtual machine.
Request body (required)
Id of the filer where we should restore this Backup
Type of filer where vm will be restored(Default value : nas)
nasvsanId of the restorePoint you want to restore
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string, vmId = 0
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ vm/ {vmId}/ restoreBackup \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Lists, per region where a Hosted Private Cloud is located, the region hosting the vaults of its Managed Backup service and the regions allowed as replication secondary siteProduction
Response
Region hosting the backup stack and the primary copy of the vaults for a Hosted Private Cloud located in this region, as reported in the vaultRegion of a Managed Backup service
af-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaRegions that can be chosen as replication secondary site when ordering a Managed Backup service for a Hosted Private Cloud located in this region
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ reference/ managedBackupVaultRegion \
-H "authorization: Bearer $OVH_TOKEN"{ "key": { "primaryRegionName": "af-north-lz-rba", "secondaryRegions": [ { "name": "af-north-lz-rba", "preferred": true } ] }}
Retrieves the backup tenants you manageProduction
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time the backup tenant is created
Current operational state of the backup tenant
List of tasks that are currently running for the backup tenant
IAM resource metadata
Unique identifier of the backup tenant
Readiness status of the backup tenant
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target state of the backup tenant
Date and time the backup tenant is last updated
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves the details of your backup tenantProduction
Path parameters
Backup services ID
Response
Date and time the backup tenant is created
Current operational state of the backup tenant
List of tasks that are currently running for the backup tenant
IAM resource metadata
Unique identifier of the backup tenant
Readiness status of the backup tenant
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target state of the backup tenant
Date and time the backup tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Lists vaults for your tenantProduction
Path parameters
Backup services ID
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time when you created the vault
Current state of your vault
List of tasks currently running on your vault
IAM resource metadata
Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.
Indicates the readiness of your vault
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of your vault target
Date and time when you last updated the vault
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves specific vault detailsProduction
Path parameters
Backup services ID
Vault ID
Response
Date and time when you created the vault
Current state of your vault
List of tasks currently running on your vault
IAM resource metadata
Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.
Indicates the readiness of your vault
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of your vault target
Date and time when you last updated the vault
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Updates vault display name and cloud repositoryProduction
Path parameters
Backup services ID
Vault ID
Request body (required)
Display name of your vault
Response
Date and time when you created the vault
Current state of your vault
List of tasks currently running on your vault
Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.
Indicates the readiness of your vault
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of your vault target
Date and time when you last updated the vault
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Lists buckets of the vaultProduction
Path parameters
Backup services ID
Vault ID
Headers
Pagination cursor
Pagination size
Response
Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.
Specifies the unique identifier of the bucket
Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.
Specifies the name of the bucket
Specifies the performance tier of the bucket
HIGH_PERFSTANDARDSpecifies the geographic region where the bucket is located
af-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaSpecifies the role assigned to the bucket
PRIMARYREPLICASpecifies the current status of the bucket
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId}/ bucket \
-H "authorization: Bearer $OVH_TOKEN"[ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" }]
Gets specific vault bucket detailsProduction
Path parameters
Backup services ID
Bucket ID
Vault ID
Response
Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.
Specifies the unique identifier of the bucket
Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.
Specifies the name of the bucket
Specifies the performance tier of the bucket
HIGH_PERFSTANDARDSpecifies the geographic region where the bucket is located
af-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-seaSpecifies the role assigned to the bucket
PRIMARYREPLICASpecifies the current status of the bucket
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGExample uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId}/ bucket/ {bucketId} \
-H "authorization: Bearer $OVH_TOKEN"{ "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING"}
Retrieves S3™*-compatible credentials and connection endpoint for a vault bucketProduction
* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.
Path parameters
Backup services ID
Bucket ID
Vault ID
Response
S3 access key
Name of the bucket these credentials belong to
S3 endpoint URL to configure in your environment
Short region code of the bucket
ap-south-mumap-southeast-sydbhsca-east-tordeeu-south-mileu-west-pargrarbxsbgsgpukwawS3 secret key, sensitive value
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vault/ {vaultId}/ bucket/ {bucketId}/ credentials \
-H "authorization: Bearer $OVH_TOKEN"{ "accessKey": "string", "bucketName": "string", "endpoint": "string", "regionCode": "ap-south-mum", "secretKey": "string"}
Retrieves list of VSPC tenantsProduction
Path parameters
Backup services ID
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time when the tenant is created
Current state of the tenant
List of tasks currently running for the tenant
IAM resource metadata
Unique identifier of the tenant
Indicates whether the vault is ready
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target for the tenant
Date and time when the tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves details of a specific VSPC tenantProduction
Path parameters
Backup services ID
Vspc tenant ID
Response
Date and time when the tenant is created
Current state of the tenant
List of tasks currently running for the tenant
IAM resource metadata
Unique identifier of the tenant
Indicates whether the vault is ready
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target for the tenant
Date and time when the tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Updates the display name of a VSPC tenantProduction
Path parameters
Backup services ID
Vspc tenant ID
Request body (required)
Display name of the tenant
Response
Date and time when the tenant is created
Current state of the tenant
List of tasks currently running for the tenant
Unique identifier of the tenant
Indicates whether the vault is ready
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGSpecification of the target for the tenant
Date and time when the tenant is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Retrieves the Managed Backup services of the VSPC tenant, one per protected Hosted Private Cloud; empty when the Managed Backup add-on is not enabledProduction
Path parameters
Backup services ID
Vspc tenant ID
Query parameters
Filter resources on IAM tags
Headers
Pagination cursor
Pagination size
Response
Date and time when the service is created
Current state of the service
Current tasks running on the service
IAM resource metadata
Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud
Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification for the service
Date and time when the service is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup \
-H "authorization: Bearer $OVH_TOKEN"[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Retrieves a Managed Backup service of the VSPC tenantProduction
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Response
Date and time when the service is created
Current state of the service
Current tasks running on the service
IAM resource metadata
Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud
Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification for the service
Date and time when the service is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Updates the display name of a Managed Backup serviceProduction
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Request body (required)
Display name of the service
Response
Date and time when the service is created
Current state of the service
Current tasks running on the service
Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud
Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification for the service
Date and time when the service is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Retrieves the current billable consumption of the Managed Backup service: number of backed up virtual machines per vault level and size band with the matching plan code; no price is returnedProduction
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Response
Number of virtual machines generating a billing line, the sum of the vmCount of all lines
One line per non-empty combination of vault level and size band. Empty while the service is suspended.
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId}/ consumption \
-H "authorization: Bearer $OVH_TOKEN"{ "billedVmCount": 0, "lines": [ { "planCode": "string", "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmCount": 0 } ]}
Resets the password of your account on the Veeam Backup & Replication web interface of the Managed Backup serviceProduction
The account is the one reported in currentState.vbrLogin. The new password is generated by the platform and delivered to the contacts of your account. It is never returned by the API. Accepted on a READY or SUSPENDED service without a password reset already in progress.
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Response
Date and time when the service is created
Current state of the service
Current tasks running on the service
Unique identifier of the Managed Backup service, formatted managed-backup- followed by the service name of the protected Hosted Private Cloud
Indicates the readiness of the service. SUSPENDED while backup schedules are stopped.
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGTarget specification for the service
Date and time when the service is last updated
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId}/ resetPassword \
-H "authorization: Bearer $OVH_TOKEN"{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "hostedPrivateCloudServiceName": "string", "protectedVmCount": 0, "unprotectedVmCount": 0, "vaultRegion": "af-north-lz-rba", "vaultSecondaryRegion": "af-north-lz-rba", "vbrLogin": "string", "vbrUrl": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "displayName": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}
Lists the virtual machines known to the Managed Backup service with their protection state, billing dimensions and last backup informationProduction
Path parameters
Backup services ID
Managed backup ID
Vspc tenant ID
Headers
Pagination cursor
Pagination size
Response
vSphere managed object reference of the virtual machine, vm- prefix included, for example vm-4021. A restored virtual machine is a new vSphere object with a new identifier.
Date and time of the last backup cycle that included the virtual machine. Null when it has never been backed up.
Name of the virtual machine in vSphere at the last refresh
Indicates whether the virtual machine carries a valid vault tag. Independent of the result of its backups.
PROTECTEDUNPROTECTEDDate and time when this entry was last refreshed from the backup platform
Number of restore points currently held for the virtual machine. 0 when it has never been backed up.
Billing size band validated at the last backup of the virtual machine. Null when no backup has been validated yet.
MAX_1TBMAX_250GBMAX_2TBMAX_4TBMAX_6TBMAX_8TBVault level resolved from the vSphere tag of the virtual machine at the last backup cycle. The tag category allows a single vault tag per virtual machine. Null when the virtual machine is unprotected.
ADVANCEDPREMIUMSTANDARDUsed size of the virtual machine in GB, measured at the last backup and used to compute its sizeBand. Null when no measurement is available yet.
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId}/ virtualMachine \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": "string", "lastBackupAt": "2024-01-01T12:00:00Z", "name": "string", "protectionStatus": "PROTECTED", "refreshedAt": "2024-01-01T12:00:00Z", "restorePointCount": 0, "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmSizeGb": 0 }]
Retrieves the protection state, billing dimensions and last backup information of a virtual machineProduction
Path parameters
Backup services ID
Managed backup ID
Virtual machine ID
Vspc tenant ID
Response
vSphere managed object reference of the virtual machine, vm- prefix included, for example vm-4021. A restored virtual machine is a new vSphere object with a new identifier.
Date and time of the last backup cycle that included the virtual machine. Null when it has never been backed up.
Name of the virtual machine in vSphere at the last refresh
Indicates whether the virtual machine carries a valid vault tag. Independent of the result of its backups.
PROTECTEDUNPROTECTEDDate and time when this entry was last refreshed from the backup platform
Number of restore points currently held for the virtual machine. 0 when it has never been backed up.
Billing size band validated at the last backup of the virtual machine. Null when no backup has been validated yet.
MAX_1TBMAX_250GBMAX_2TBMAX_4TBMAX_6TBMAX_8TBVault level resolved from the vSphere tag of the virtual machine at the last backup cycle. The tag category allows a single vault tag per virtual machine. Null when the virtual machine is unprotected.
ADVANCEDPREMIUMSTANDARDUsed size of the virtual machine in GB, measured at the last backup and used to compute its sizeBand. Null when no measurement is available yet.
Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, managedBackupId = string, virtualMachineId = string, vspcTenantId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ backupServices/ tenant/ {backupServicesId}/ vspc/ {vspcTenantId}/ managedBackup/ {managedBackupId}/ virtualMachine/ {virtualMachineId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "lastBackupAt": "2024-01-01T12:00:00Z", "name": "string", "protectionStatus": "PROTECTED", "refreshedAt": "2024-01-01T12:00:00Z", "restorePointCount": 0, "sizeBand": "MAX_1TB", "vaultLevel": "ADVANCED", "vmSizeGb": 0}